<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Source: layout/SideBar.tsx</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Source: layout/SideBar.tsx</h1>

    



    
    <section>
        <article>
            <pre class="prettyprint source linenums"><code>import React from 'react';
import { Link } from 'react-router-dom';
import styled from 'styled-components';
import colors from '../../utils/style/colors';

const Container = styled.aside`
  display: flex;
  flex-direction: column;
  position: relative;
  justify-content: center;
  align-items: center;
  background-color: ${colors.primary};
  width: 115px;
  flex-shrink: 0;
`;

const Copyright = styled.p`
  font-weight: 500;
  font-size: 12px;
  color: white;
  margin: auto 0;
  white-space: nowrap;

  transform-origin: center;
  transform: rotate(-90deg);
`;

const Nav = styled.nav`
  display: flex;
  flex-flow: column nowrap;
  gap: 20px;
  margin: auto;

  a {
    display: flex;
    height: 64px;
    width: 64px;
    background-color: white;
    border-radius: 6px;

    img {
      height: 32px;
      margin: auto;
    }

    &amp;:hover {
      color: ${colors.secondary};
    }
  }
`;

/** Renders the sidebar of the website with secondary navigation and copyrights */
const SideBar: React.FC = () => {
  return (
    &lt;Container>
      &lt;Nav>
        &lt;Link to="/">
          &lt;img src="/assets/yoga-icon.svg" alt="icon" />
        &lt;/Link>
        &lt;Link to="/">
          &lt;img src="/assets/swim-icon.svg" alt="icon" />
        &lt;/Link>
        &lt;Link to="/">
          &lt;img src="/assets/cycling-icon.svg" alt="icon" />
        &lt;/Link>
        &lt;Link to="/">
          &lt;img src="/assets/bodybuilding-icon.svg" alt="icon" />
        &lt;/Link>
      &lt;/Nav>
      &lt;Copyright>Copyright, SportSee 2020&lt;/Copyright>
    &lt;/Container>
  );
};

export default SideBar;
</code></pre>
        </article>
    </section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Global</h3><ul><li><a href="global.html#Activity">Activity</a></li><li><a href="global.html#AverageSessions">AverageSessions</a></li><li><a href="global.html#Header">Header</a></li><li><a href="global.html#KeyFigureCard">KeyFigureCard</a></li><li><a href="global.html#Performance">Performance</a></li><li><a href="global.html#ProfileBody">ProfileBody</a></li><li><a href="global.html#ProfileBodyGraphics">ProfileBodyGraphics</a></li><li><a href="global.html#ProfileBodyKeys">ProfileBodyKeys</a></li><li><a href="global.html#ProfileHeading">ProfileHeading</a></li><li><a href="global.html#Score">Score</a></li><li><a href="global.html#SideBar">SideBar</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.7</a> on Fri Aug 20 2021 11:51:37 GMT+0200 (heure d’été d’Europe centrale)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>
